Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.refqueue
Class BasicPrioritizedDeque

    java.lang.Object
      org.jboss.messaging.core.refqueue.BasicPrioritizedDeque

All Implemented Interfaces:
  PrioritizedDeque

public class BasicPrioritizedDeque
extends java.lang.Object
implements PrioritizedDeque

A basic non synchronized PrioritizedDeque implementation. It implements this by maintaining an individual LinkedList for each priority level.

Version:
  `$Revision: 1.7 $` $Id: BasicPrioritizedDeque.java,v 1.7 2006/03/05 16:17:24 timfox Exp $
Author:

  Field Summary
  `protected java.util.LinkedList[]` | `linkedLists`
  `protected int` | `priorities`
  `protected int` | `size`

  Constructor Summary
  `BasicPrioritizedDeque(int priorities)`

  Method Summary
  `boolean` | `addFirst(java.lang.Object obj, int priority)`
  `boolean` | `addLast(java.lang.Object obj, int priority)`
  `void` | `clear()`
  `java.util.List` | `getAll()`
  `protected void` | `initDeques()`
  `java.lang.Object` | `peekFirst()`
  `java.lang.Object` | `removeFirst()`
  `java.lang.Object` | `removeLast()`
  `int` | `size()`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### linkedLists

      protected java.util.LinkedList[] linkedLists

  ### priorities

      protected int priorities

  ### size

      protected int size

  Constructor Detail

  ### BasicPrioritizedDeque

      public BasicPrioritizedDeque(int priorities)

  Method Detail

  ### addFirst

      public boolean addFirst(java.lang.Object obj,
                              int priority)

    Specified by:
      `addFirst` in interface `PrioritizedDeque`

  ### addLast

      public boolean addLast(java.lang.Object obj,
                             int priority)

    Specified by:
      `addLast` in interface `PrioritizedDeque`

  ### removeFirst

      public java.lang.Object removeFirst()

    Specified by:
      `removeFirst` in interface `PrioritizedDeque`

  ### removeLast

      public java.lang.Object removeLast()

    Specified by:
      `removeLast` in interface `PrioritizedDeque`

  ### peekFirst

      public java.lang.Object peekFirst()

    Specified by:
      `peekFirst` in interface `PrioritizedDeque`

  ### getAll

      public java.util.List getAll()

    Specified by:
      `getAll` in interface `PrioritizedDeque`

  ### clear

      public void clear()

    Specified by:
      `clear` in interface `PrioritizedDeque`

  ### size

      public int size()

    Specified by:
      `size` in interface `PrioritizedDeque`

  ### initDeques

      protected void initDeques()

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2006 JBoss Inc. All Rights Reserved.